net.sf.okapi.lib.xliff2.renderer

## Class XLIFFFragmentRenderer

- java.lang.Object
- - net.sf.okapi.lib.xliff2.renderer.XLIFFFragmentRenderer

- All Implemented Interfaces:
    java.lang.Iterable<IFragmentObject>, IFragmentRenderer

      public class XLIFFFragmentRenderer
      extends java.lang.Object
      implements IFragmentRenderer

  Implements `IFragmentRenderer` for the XLIFF 2 format.

  Note that the inline tags representation uses only `<sc>/<ec>` and `<sm>/<em>`.``

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XLIFFFragmentRenderer(Fragment fragment, java.util.Stack<NSContext> nsStack)` Creates a new `XLIFFFragmentRenderer` object for a given fragment and namespace context.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<IFragmentObject>` | `iterator()`
    `void` | `set(Fragment fragment, java.util.Stack<NSContext> nsStack)` Sets the fragment to iterate through and the namespace context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XLIFFFragmentRenderer

          public XLIFFFragmentRenderer(Fragment fragment,
                               java.util.Stack<NSContext> nsStack)

      Creates a new `XLIFFFragmentRenderer` object for a given fragment and namespace context.
      Parameters:
        `fragment` - the fragment to associate with this renderer.
        `nsStack` - the namespace stack (can be null).

  - ### Method Detail

    - #### set

          public void set(Fragment fragment,
                 java.util.Stack<NSContext> nsStack)

      Description copied from interface: `IFragmentRenderer`
      Sets the fragment to iterate through and the namespace context.
      Specified by:
        `set` in interface `IFragmentRenderer`
      Parameters:
        `fragment` - the fragment to iterate through.
        `nsStack` - the namespace context (can be null).

    - #### iterator

          public java.util.Iterator<IFragmentObject> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<IFragmentObject>`